package com.bonus.sgzb.base.mapper;

import com.bonus.sgzb.base.domain.MaPartType;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 配件类型管理ma_part_type(MaPartType)表数据库访问层
 *
 * @author makejava
 * @since 2023-11-27 16:44:07
 */
@Mapper
public interface MaPartTypeMapper {

    /**
     * 校验配件类型唯一性
     * @param paId
     * @return
     */
    MaPartType checkPartNameUnique(Long paId);

    /**
     * 新增配件类型
     * @param maPartType
     * @return
     */
    int insertMaPartType(MaPartType maPartType);

    /**
     * 查询配件类型列表
     * @param maPartType
     * @return
     */
    List<MaPartType> selectMaPartType(MaPartType maPartType);

    /**
     * 查询是否含有子集
     * @param paId
     * @return
     */
    int hasChildByPaId(Long paId);

    /**
     * 删除配件类型
     * @param paId
     * @return
     */
    int deletePaById(Long paId);

    MaPartType getById(Long paId);

    int updateById(MaPartType maPartType);

    int checkPartName(String paName);

    List<MaPartType> selectPartName(String paName);

    List<MaPartType> selectPartNameByLevel(MaPartType maPartType);
}

